import { type GeneratedSchema } from './gqty';
import type { GqlAuthParam } from './types';
export type HasuraClient = ReturnType<typeof useHasuraClientInner>;
export declare function useHasuraClientInner(args?: Omit<GqlAuthParam, 'retries'>): {
    subscriptionsClient: import("gqty").LegacySubscriptionsClient;
    client: import("gqty").GQtyClient<GeneratedSchema>;
};
